Skip to navigation

List groups

View as Markdown

Returns a paginated list of groups, ten groups per page by default. Use the startIndex and count (max 100) query parameters to paginate long lists of groups. It’s possible to return a list of specific types of groups using the filter parameter.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Query parameters

countintegerOptional
The number of records returned per page in the response.
filterstringOptional
The filter used to filter the group, either by organization id.
startIndexintegerOptional
The index number of the page that you want to retrieve. You must set count before specifying startIndex. For example, if you set count to 20 and startIndex to 2, the 21st to 40th records are returned in the response.

Response headers

Content-EncodingstringOptional
RateLimit-LimitstringOptional
RateLimit-Remaininginteger
RateLimit-Resetinteger
Zuora-Request-IdstringOptional
Zuora-Track-IdstringOptional

Response

OK
schemaslist of stringsOptional
idstring or nullOptional
externalIdstring or nullOptional
metaobject or nullOptional
totalResultsintegerOptional
Total numbers of groups present.
resourceslist of objectsOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error